/* ==========================================================================
   SPOLEČNÉ STYLY (Pro mobilní zařízení - Mobile First)
   ========================================================================== */

/* 2. Šířka okna nastavení (Preferences) na mobilu */
#cc-main .pm--box {
    width: 95% !important;
    max-width: 450px !important;
}

/* 3. Velikost textu na mobilu */
#cc-main .cm__title {
    font-size: 2.35rem !important;
}

#cc-main .cm__desc {
    font-size: 1.65rem !important;
}

#cc-main .cm__btn {
    font-size: 1.65rem !important;
}

#cc-main .cm__link-group {
    font-size: .8em;
    justify-content: space-around;
    text-align: center !important;

}


/* Velikosti textu v okně nastavení na PC */
#cc-main .pm__title {
    font-size: 2.35rem !important;
}

#cc-main .pm__section-title {
    font-size: 1.65rem !important;
}

#cc-main .pm__section-desc {
    font-size: 1.65rem !important;
}

#cc-main .pm__btn {
    font-size: 1.65rem !important;
}




/* ==========================================================================
   STYLY PRO POČÍTAČE (Obrazovky od šířky 768px a více)
   ========================================================================== */
@media screen and (min-width: 768px) {

    #cc-main .cm__body {
        padding: 20px;
    }

    /* 2. Šířka okna nastavení na PC */
    #cc-main .pm--box {
        width: 650px !important;
        max-width: 700px !important;
    }

    /* 3. Velikost textu na PC */
    #cc-main .cm__title {
        font-size: 3.05rem !important;
    }

    #cc-main .cm__desc {
        font-size: 1.65rem !important;
    }

    #cc-main .cm__btn {
        font-size: 1.85rem !important;
    }

    #cc-main .cm__link-group {
        font-size: .9em;
    }

    /* Velikosti textu v okně nastavení na PC */
    #cc-main .pm__title {
        font-size: 3.35rem !important;
    }

    #cc-main .pm__section-title {
        font-size: 1.65rem !important;
    }

    #cc-main .pm__section-desc {
        font-size: 1.65rem !important;
    }

    #cc-main .pm__btn {
        font-size: 1.65rem !important;
    }

}


#cc-main .cm.cm--box {
    box-shadow: 0 1rem 4rem rgba(0, 0, 0, .7) !important;
}

/* ==========================================================================
   MOBILNÍ ZAŘÍZENÍ (Šířka displeje do 767px)
   Modal dole, odsazení 25 % od spodního okraje
   ========================================================================== */
@media screen and (max-width: 767px) {
    #cc-main .cm.cm--box {
        position: fixed !important;
        top: auto !important;
        bottom: 10vh !important;
        left: 50% !important;
        transform: translateX(-50%) !important;
        width: 90% !important;
        max-width: 450px !important;
        margin: 0 !important;
    }
}

/* ==========================================================================
   POČÍTAČE (Šířka displeje od 768px a více)
   Modal nahoře, odsazení 25 % od horního okraje
   ========================================================================== */
@media screen and (min-width: 768px) {
    #cc-main .cm.cm--box {
        position: fixed !important;
        top: 35vh !important;
        bottom: auto !important;
        left: 50% !important;
        transform: translateX(-50%) !important;
        width: 550px !important;
        max-width: 600px !important;
        margin: 0 !important;
    }
}